<?php require_once('Connections/conn.php'); ?>
<?php
session_start();

 if (isset($_GET["order"])) $order = @$_GET["order"];
  if (isset($_GET["type"])) $ordtype = @$_GET["type"];

  if (isset($_POST["filter"])) $filter = @$_POST["filter"];
  if (isset($_POST["filter_field"])) $filterfield = @$_POST["filter_field"];
  $wholeonly = false;
  if (isset($_POST["wholeonly"])) $wholeonly = @$_POST["wholeonly"];

  if (!isset($order) && isset($_SESSION["order"])) $order = $_SESSION["order"];
  if (!isset($ordtype) && isset($_SESSION["type"])) $ordtype = $_SESSION["type"];
  if (!isset($filter) && isset($_SESSION["filter"])) $filter = $_SESSION["filter"];
  if (!isset($filterfield) && isset($_SESSION["filter_field"])) $filterfield = $_SESSION["filter_field"];
  
$cedula_usuario=$_SESSION['CEDULA_USUARIO'];
$sede=$_SESSION['SEDE_USUARIO'];

mysql_select_db($database_conn, $conn);
mysql_query ("SET NAMES 'utf8'");
//para tomar el id del alumno
$sql = "SELECT id_alumno,apellidos,nombres,sede  FROM alumnos WHERE cedula='$cedula_usuario'";
$rs = mysql_query($sql, $conn) or die(mysql_error());
$row = mysql_fetch_assoc($rs);
$id_alumno= $row['id_alumno'];
$nombres_alumno=$row['apellidos'].', '.$row['nombres'];;
$id_sede= $row['sede'];

// Limpia el record tenporal del estudiante
$sql = "delete from historico_notas_aux where id_alumno='$id_alumno'";
mysql_query($sql, $conn) or die(mysql_error());

// Crea el record académico temporal del estudiante que se inscribirá. 
$sql = "insert into historico_notas_aux select * from historico_notas where  id_alumno='$id_alumno'";
mysql_query($sql, $conn) or die(mysql_error());
	 

//fin

$query_rstCarreras = "SELECT carreras_alumno.id_carrera, carreras.nombre_carrera, carreras_alumno.sede FROM carreras_alumno,carreras WHERE carreras_alumno.id_carrera=carreras.id_carrera AND carreras_alumno.id_alumno='$id_alumno' ORDER BY nombre_carrera";
$rstCarreras = mysql_query($query_rstCarreras, $conn) or die(mysql_error());
$row_rstCarreras = mysql_fetch_assoc($rstCarreras);
$totalRows_rstCarreras = mysql_num_rows($rstCarreras);
$id_sede= $row_rstCarreras['sede'];
// Datos de los periodos abiertos.	
	$query_rsperiodos = "SELECT id_periodo, codigo,tipo FROM periodos WHERE status='ABIERTO' order by id_periodo desc";
	$rsperiodos = mysql_query($query_rsperiodos, $conn) or die(mysql_error());
	$row_rsperiodos = mysql_fetch_assoc($rsperiodos);
	$totalRows_rsperiodos = mysql_num_rows($rsperiodos);
?>

<html>
<head>
<title>sadce -- carga de calificaciones</title>
<meta name="generator" http-equiv="content-type" content="text/html">
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
</style>
</head>
<script src="jquery.min.js" type="text/javascript"></script>

<script>
$(document).ready(function(){
	$("#id_carrera").change(function(){
		$.post("carga_sedes_alumno1.php",{ id:$(this).val(),c:$(<?php echo $cedula_usuario ?>).val() },function(data){$("#id_sede").html(data);})
	});
	
})
</script>
<body>
<table class="bd" width="100%" align="center"><tr><td class="hr"><h2 align="left">&nbsp;Comprobante de Inscripci&oacute;n </h2></td></tr></table>
<form name="form1" id="form1" method="post" action="">
  <table width="40%" border="0" align="center" id="carga" cellpadding="1" cellspacing="10" style="border:1px solid #ccc;">
    
    <tr>
      <td>Estudiante:</td>
      <td colspan="5"><label>
        <?php echo utf8_decode($nombres_alumno) ?>
      </label></td>
    </tr>
    <tr>
      <td><div align="right">Carrera:</div></td>
      <td colspan="5"><label>
        <select name="id_carrera" id="id_carrera" style="width:550px">
          <option value="0">Seleccione...</option>
          <?php
do {  
?>
          <option value="<?php echo $row_rstCarreras['id_carrera']?>"><?php echo $row_rstCarreras['nombre_carrera']?>&nbsp;(<?php echo $row_rstCarreras['id_carrera']?>)</option>
          <?php
} while ($row_rstCarreras = mysql_fetch_assoc($rstCarreras));
  $rows = mysql_num_rows($rstCarreras);
  if($rows > 0) {
      mysql_data_seek($rstCarreras, 0);
	  $row_rstCarreras = mysql_fetch_assoc($rstCarreras);
  }
?>
        </select>
      </label></td>
    </tr>
	
    <tr>
      <td width="59"><div align="right">Lapso:&nbsp;</div></td>
	  <td width="548" colspan="5"><label>
	  <select name="id_periodo" id="id_periodo" onChange="return verificar_inscripcion('<?php echo $id_alumno ?>', document.form1.id_carrera.value,this.value)">
          <option value="0">Seleccione...</option>
          <?php
do {  
?>
          <option value="<?php echo $row_rsperiodos['id_periodo']?>"><?php echo $row_rsperiodos['codigo']?>(<?php echo $row_rsperiodos['tipo']?>)</option>
          <?php
} while ($row_rsperiodos = mysql_fetch_assoc($rsperiodos));
  $rows = mysql_num_rows($rsperiodos);
  if($rows > 0) {
      mysql_data_seek($rsperiodos, 0);
	  $row_rsperiodos = mysql_fetch_assoc($rsperiodos);
  }
?>
        </select><iframe name="frame_inscripcion" id="frame_inscripcion" with="0" height="0" frameborder="0" ></iframe>
      </label></td>
    </tr>
    
    <tr>
      <td height="34" colspan="6"><div align="center">
        <label>
        <input name="Enviar" type="button" id="Enviar" value="Imprimir" onClick="imprimir_form1(<?php echo $id_alumno ?>)" >
        </label>
      </div></td>
    </tr>
  </table>
    <div align="center"></div>
  <div align="center"></div>
</form>
<p>&nbsp;</p>
<?php
mysql_free_result($rstCarreras);
?>
</body>
</html>

<script type="text/javascript">
 function imprimir_form1(id_alumno)
 {
      if(document.form1.id_carrera.value==0){
			alert("El campo <<Carrera>> es obligatorio");
			document.form1.id_carrera.value==0;
			document.form1.id_carrera.focus();
			return false;
			}
			
	url="modulos/reportes/comprobante_inscripcion.php?id_alumno="+'<?php echo $id_alumno ?>'+"&id_periodo="+document.form1.id_periodo.value+"&codigo_sede="+'<?php echo $id_sede ?>'+"&id_carrera="+document.form1.id_carrera.value;

	     window.open(url);
		
	//window.location=url;
 }
</script>

<script type="text/javascript">
 function verificar_inscripcion(id_alumno,programa,periodo)
 { 
	url="validar_inscripcion.php?id_alumno="+id_alumno+"&programa="+programa+"&periodo="+periodo;
	frame_inscripcion.location=url;
 }
</script>
